mbed TLS v2.16.5

Data Fields
mbedtls_aes_xts_context Struct Reference

The AES XTS context-type definition. More...

`#include <aes.h>`

Collaboration diagram for mbedtls_aes_xts_context:
[legend]

## Data Fields
mbedtls_aes_context | crypt
mbedtls_aes_context | tweak

## Detailed Description

The AES XTS context-type definition.

Definition at line 105 of file aes.h.

## Field Documentation

## ◆ crypt

mbedtls_aes_context mbedtls_aes_xts_context::crypt

The AES context to use for AES block encryption or decryption.

Definition at line 107 of file aes.h.

## ◆ tweak

mbedtls_aes_context mbedtls_aes_xts_context::tweak

The AES context used for tweak computation.

Definition at line 109 of file aes.h.

The documentation for this struct was generated from the following file:

- aes.h